/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * This class controls the plug-in life cycle.
 * 
 * @author Hannes Kegel
 */
public class InferTypePlugin extends AbstractUIPlugin {

	/** The plug-in ID **/
	public static final String PLUGIN_ID = "org.intoJ.inferType3";

    /**
     * The preference name for considering types with additional private or package private
     * methods not minimal. 
     */
    public static final String PREFNAME_CONSIDER_PRIVATE = "inferType3.considerPrivate";
    
    /**
     * The preference name for showing the graph export panel in the wizard. 
     */
    public static final String PREFNAME_SHOW_EXPORT = "inferType3.showExport"; 


	// The shared instance
	private static InferTypePlugin plugin;
	
	/**
	 * The constructor
	 */
	public InferTypePlugin() {
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	@Override
    public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	@Override
    public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static InferTypePlugin getDefault() {
		return plugin;
	}
}
