/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.constraintModel.variables;

import org.eclipse.jdt.internal.corext.refactoring.typeconstraints.types.TType;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints.types.TypeVariable;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints2.ConstraintVariable2;

/**
 * An element variable that is immutable. 
 *  
 * @author Hannes Kegel
 *
 */
public class ImmutableElementVariable extends ElementVariable implements IImmutableVariable {

    /**
     * Constructs a new immutable element variable from a TypeVariable
     * 
     * @param parentCv the variable this is an element of
     * @param typeVariable the type variable of the parent
     * @param ttype the current type of the element
     */
    public ImmutableElementVariable(ConstraintVariable2 parentCv, TypeVariable typeVariable, TType ttype) {
        super(parentCv, typeVariable, ttype);
    }
    
    /**
     * Constructs a new immutable element variable by taking another one as a template.
     *  
     * @param parentCv the variable this is an element of
     * @param otherElementVariable the template
     */
    public ImmutableElementVariable(ConstraintVariable2 parentCv, ElementVariable otherElementVariable) {
        super(parentCv, otherElementVariable);
    }

    /* (non-Javadoc)
     * @see org.intoJ.inferType3.internal.constraintModel.variables.ElementVariable#toString()
     */
    @Override
    public String toString() {
        return "Immutable: " + super.toString();
    }    

}
