/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.ui;

import org.eclipse.ltk.ui.refactoring.RefactoringWizard;
import org.intoJ.inferType3.InferTypeRefactoring;

/**
 * The Infer Type refactoring wizard. The main part of the work is
 * done in the wizard page {@link ITInputPage} containing the check tree.
 * 
 * @author Hannes Kegel
 *
 */
public class InferTypeWizard extends RefactoringWizard {
    
    /**
     * The single constructor.
     * 
     * @param ref the infer type refactoring
     */
    public InferTypeWizard(InferTypeRefactoring ref) {
		super(ref, DIALOG_BASED_USER_INTERFACE | NO_BACK_BUTTON_ON_STATUS_DIALOG);
		setDefaultPageTitle("Infer Type"); 
	}
    
	/* (non-Javadoc)
	 * @see org.eclipse.ltk.ui.refactoring.RefactoringWizard#addUserInputPages()
	 */
	@Override
    protected void addUserInputPages(){
		addPage(new ITInputPage(this));
	}
}

