/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoj.riwd.ui;

import org.eclipse.ltk.ui.refactoring.RefactoringWizard;
import org.intoj.riwd.RiwdRefactoring;

/**
 * The Infer Type refactoring wizard. The main part of the work is
 * done in the wizard page {@link RiwdInputPage} containing the check tree.
 * 
 * @author Hannes Kegel
 *
 */
public class RiwdWizard extends RefactoringWizard {
    
    /**
     * The single constructor.
     * 
     * @param ref the infer type refactoring
     */
    public RiwdWizard(RiwdRefactoring ref) {
		super(ref, DIALOG_BASED_USER_INTERFACE | NO_BACK_BUTTON_ON_STATUS_DIALOG);
		setDefaultPageTitle("Replace Inheritance With Delegation"); 
	}
    
	/* (non-Javadoc)
	 * @see org.eclipse.ltk.ui.refactoring.RefactoringWizard#addUserInputPages()
	 */
	@Override
    protected void addUserInputPages(){		
		addPage(new RiwdInputPage(this));
	}
}

